CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0007

Buffer overflow in the Extract Info Field Function for (1) MSN and (2) YMSG protocol handlers in Gaim 0.74 and earlier, and Ultramagnetic before 0.81, allows remote attackers to cause a denial of service and possibly execute arbitrary code.
Publish Date : 2004-03-03 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Denial Of ServiceExecute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2004-01-26
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Buffer overflow in the Extract Info Field Function for (1) MSN and (2) YMSG protocol handlers in Gaim 0.74 and earlier, ... oval:org.mitre.oval:def:9906 unix
Gaim / Ultramagnetic Extract Info Field Function BO oval:org.mitre.oval:def:819 unix
RHSA-2004:033: gaim security update (Critical) oval:com.redhat.rhsa:def:2004033 unix
RHSA-2004:033: gaim security update (Critical) oval:com.redhat.rhsa:def:20040033 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2004-0007

# Product Type Vendor Product Version Update Edition Language
1 Application Rob Flynn Gaim 0.74 Version Details Vulnerabilities
2 Application Ultramagnetic Ultramagnetic 0.81 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Rob Flynn Gaim 1
Ultramagnetic Ultramagnetic 1

- References For CVE-2004-0007

http://www.debian.org/security/2004/dsa-434
DEBIAN DSA-434
http://ultramagnetic.sourceforge.net/advisories/001.html CONFIRM
http://security.e-matters.de/advisories/012004.html
http://archives.neohapsis.com/archives/fulldisclosure/2004-01/0994.html
FULLDISC 20040126 Advisory 01/2004: 12 x Gaim remote overflows
http://www.securityfocus.com/bid/9489
BID 9489 Gaim Multiple Remote Boundary Condition Error Vulnerabilities Release Date:2009-07-12
http://www.securityfocus.com/advisories/6281
SUSE SuSE-SA:2004:004
http://www.osvdb.org/3733
OSVDB 3733
http://www.mandriva.com/security/advisories?name=MDKSA-2004:006
MANDRAKE MDKSA-2004:006
http://marc.theaimsgroup.com/?l=bugtraq&m=107513690306318&w=2
BUGTRAQ 20040126 Advisory 01/2004: 12 x Gaim remote overflows
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000813
CONECTIVA CLA-2004:813
http://www.securitytracker.com/id?1008850
SECTRACK 1008850
http://security.gentoo.org/glsa/glsa-200401-04.xml
GENTOO GLSA-200401-04
http://xforce.iss.net/xforce/xfdb/14946
XF gaim-extractinfo-bo(14946)
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.361158
SLACKWARE SSA:2004-026
http://www.redhat.com/support/errata/RHSA-2004-032.html
REDHAT RHSA-2004:032
http://www.kb.cert.org/vuls/id/197142
CERT-VN VU#197142
http://marc.theaimsgroup.com/?l=bugtraq&m=107522432613022&w=2
BUGTRAQ 20040127 Ultramagnetic Advisory #001: Multiple vulnerabilities in Gaim code
http://www.redhat.com/support/errata/RHSA-2004-033.html
REDHAT RHSA-2004:033

- Metasploit Modules Related To CVE-2004-0007

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.